For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Fiat Account

Add fiatAccount via API

This endpoint is intended for the purpose of adding fiatAccount for users from INR, TRY, AED, MXN, VND, NGN, BRL, PEN, COP, CLP, PHP, IDR, ZAR, USD, ARS, EUR.

Receive fiatAccountId from the API response, then wait for it to appear in the List FiatAccounts API, as background verification may be required for some fiat accounts. Proceed with transaction creation only after the same fiatAccountId is visible in the List FiatAccounts response.

If the name on the fiat account does not match the name provided during the user's KYC verification, the transaction will be declined.

Required Parameters by Fiat Type

Below are the required fields for each fiatType when creating a fiat account.

1 → ["fiatAccount", "ifsc"]

2 → ["fiatAccount"]

3 → ["fiatAccount"]

4 → ["bankName", "beneficiary", "fiatAccount", "firstName"]

5 → ["bankName", "fiatAccount"]

6 → ["bankName", "fiatAccount"]

7 → ["accountType", "bankName", "branchName", "digit", "fiatAccount"]

8 → ["accountType", "address", "bankName", "city", "documentNumber", "documentType", "fiatAccount", "firstName", "phoneNumber"]

9 → ["accountType", "bankName", "documentNumber", "documentType", "fiatAccount", "firstName"]

10 → ["accountType", "bankName", "documentNumber", "documentType", "fiatAccount", "firstName"]

11 → ["bankName", "name", "fiatAccount"]

12 → ["fiatAccount"]

14 → ["bankName", "fiatAccount"]

17 → ["bankName", "branchName", "fiatAccount"]

21 → ["accountOwnerName", "fiatAccount", "routingNumber"]

29 → ["accountType", "address", "bankName", "documentNumber", "documentType", "fiatAccount", "firstName", "lastName"]

Supported Account Types (Required in few fiatType)

Some fiat types require a specific accountType value:

7 → ["savings", "check"]

8 → ["savings", "checking", "master"]

9 → ["savings", "checking"]

10 → ["savings", "checking"]

29 → ["savings", "checking"]

📘 Supported Document Types 📘

The following document types are supported for different fiat types:

8 → dni, passport, ce, ruc

9 → cc, ce, passport, nit, pep

10 → rut

29 → cuit, cuil

Add fiatAccount details.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/bank/addFiatAccount

Request Body

Name
Type
Description

customerId*

String

Unique User Id received from /kyc/url

fiatAccount*

String

fiat account number to withdraw off-ramped fiat to

ifsc

String

IFSC code for an Indian fiat account only.

details

JSON Object

Additional details except fiatAccount, ifsc, customerId (varies by fiatType)

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • bankUrl -> redirect to onramp widget to add fiat accounts.

  • fiatAccountId -> Unique ID of fiat account to withdraw off-ramped fiat to

Last updated